#!/bin/sh
FDIR=./
for f in `ls -1 "$@"` ; do
tag=`openssl x509 -noout -modulus -in $f|sha1sum|cut -d ' ' -f 1|cut -c21-41`;
serial=`openssl x509 -noout -serial -in $f|sed -e 's/serial= *//g'` ;
if [ `fgrep -c $tag $FDIR/blacklist.RSA-1024` \
     -ne 0 -o \
     `fgrep -c $tag $FDIR/blacklist.RSA-2048` \
     -ne 0 ] ; then
  dn=`openssl x509 -noout -subject -in $f| sed -e 's/subject= //'` ;
  caid=`awk '/Tag:/ { print $NF}' $f` ;
  echo "Vulnerable: $serial $caid $dn" ;
else
  echo "OK: $serial $caid $dn"
fi ;
done

